Bug 445353 - Anaconda/X server blank screen when Fedora 9 Preview graphical install started
Anaconda/X server blank screen when Fedora 9 Preview graphical install started
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 08:58 EDT by Johannes Berg
Modified: 2009-07-14 13:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from /tmp/X.log (36.78 KB, text/plain)
2008-05-07 03:49 EDT, Johannes Berg
no flags Details
Autogenerated config from /tmp/XConfig.test (556 bytes, text/plain)
2008-05-07 03:51 EDT, Johannes Berg
no flags Details
Syslog from /tmp/syslog if it gives any help (26.15 KB, text/plain)
2008-05-07 03:54 EDT, Johannes Berg
no flags Details

  None (edit)
Description Johannes Berg 2008-05-06 08:58:18 EDT
Description of problem:
Anaconda/X server sets the refresh rate out of range for monitor LG-2000CP and
the users ends up with an blank screen when starting the graphical install of
Fedora 9 Preview.

Version-Release number of selected component (if applicable):
Anaconda 11.4.0.73 from Fedora 9 Preview minimal boot.iso install image

How reproducible:
Start a fresh install of Fedora 9 Preview on a system with nVidia GeForce 8400
GS card with TFT monitor LG-L2000CP. The screen goes to blank when X server
started "successfully" for Anaconda and the install can not be continued.

Actual results:
Blank screen with monitor message Refresh rate out of range 81kHz/60Hz

Expected results:
Anaconda Fedora install GUI
Comment 1 Matěj Cepl 2008-05-06 13:48:25 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Johannes Berg 2008-05-07 03:49:07 EDT
Created attachment 304741 [details]
Log file from /tmp/X.log
Comment 3 Johannes Berg 2008-05-07 03:51:53 EDT
Created attachment 304743 [details]
Autogenerated config from /tmp/XConfig.test
Comment 4 Johannes Berg 2008-05-07 03:54:34 EDT
Created attachment 304744 [details]
Syslog from /tmp/syslog if it gives any help
Comment 5 Johannes Berg 2008-05-07 04:14:51 EDT
I had a typo in the monitor message, the correct message is:
DIGITAL
Out of range
81.3 kHz / 65 Hz

I actual now see for myself from the X.log that the X server defaults the
refresh rate to 65Hz which is too high for my monitor(max 60Hz):
(**) NV(0):  Default mode "800x600": 87.8 MHz (scaled from 0.0 MHz), 81.2 kHz,
65.0 Hz (D)

And that the installer sets mode "800x600":
Section "Screen"
	Identifier "Anaconda"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Modes    "800x600"
	EndSubSection
EndSection



Is there anyway possible detect the monitor limit or to set the default to 60Hz?
As the X server is started by the Fedora installer I seem to have no way of
creating or editing the xorg.conf before the server is started, but I suppose
the X server tries to autodetect the display anyway(the video card is identified
correctly). Is this an issue for the installer itself? If so could you pass this
bug on to the right component? It would clearly be important that the install
should work out of the box independent of the monitor(of course I can use the
text mode installer but thats a little lame...).
Comment 6 Bug Zapper 2008-05-14 06:43:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Adam Jackson 2008-10-23 10:04:02 EDT
This is actually mostly about the nv driver not supporting doublescan modes properly.

xorg-x11-drv-nv-2.1.8-2.fc9 and later should just refuse to do doublescan modes.  Unfortunately that won't help people with gold F9 install media...
Comment 8 Bug Zapper 2009-06-09 20:38:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:39:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.